- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: bdfb438a-e594-4596-aaf2-2ceeeddd778b
    creation_time: 2023-02-17T13:39:38.980738Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d3483c6d-8cfb-4cb2-9e6f-42d7811eeace
    creation_time: 2023-02-17T13:39:38.981140Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b0f1529a-56a8-46fe-9d1d-65532db30aec
    creation_time: 2023-02-17T13:39:38.981238Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ff7db595-bb53-4aa2-ac59-ac4a4762ab73
    creation_time: 2023-02-17T13:39:38.981320Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9c2fb3b0-d0ea-4103-955a-9825f22048cb
    creation_time: 2023-02-17T13:39:38.981403Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e244fff7-67a6-42c7-ae28-dbf4b2889482
    creation_time: 2023-02-17T13:39:38.981485Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fa80502a-f75d-42d7-9ba2-dd3d7497b81b
    creation_time: 2023-02-17T13:39:38.981565Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound2.c
    file_hash: d6c389695f28ab23288d12eab23e55426fe9ec0f0b8fe9723cca18e00c3db8b7
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

